Issues

Issue #116 new

expected ')' before barriers - building glsdk with tutorials 0.3.7 & 0.3.8

Anonymous created an issue

Hello, first off thanks for all these tutorials.

I've tried building the GLSDK that comes with the tutorial (tried 0.3.7 and 0.3.8) using both codeblocks 13.12 and GNU 4.8.1 and I get the exact same error.

It looks like this: " ..\glload\include\glload_int_gl_exts.hpp|6913|error: expected ')' before 'barriers'| " from the codeblocks console, and like this in gcc: " ../glload/include/glload/_int_gl_exts.hpp:6913:39: error: expected ')' before 'b arriers' inline void MemoryBarrier(GLbitfield barriers) { ::__gleMemoryBarrier(barriers ); } "

Is this an expected issue? I'm using Premake4 and I believe I had it installed correctly. It shows up in my terminal at any rate (and it successfully generated the Makefile and workspace file for Codeblocks).